# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 20:56:26 2024
# ------------------------------------------------

package:
  name: pycosat
  version: 0.6.6
source:
  sha256: b0014986321e77a36d8fe24827698aae076500c817133a700608bd677b77a998
  url: https://github.com/conda/pycosat/archive/0.6.6.tar.gz
build:
  number: '1'
  script: /croot/pycosat_1714510610431/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps -vv
  string: py312h998d150_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 h998d150_5
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pip 23.3.1 py312hd43f75c_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py312hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py312hd43f75c_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_5
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pip 23.3.1 py312hd43f75c_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py312hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py312hd43f75c_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
    - python test_package.py "0.6.6"
  files:
    - qg3-08.cnf
    - sudoku.py
    - test_package.py
    - uf20-098.cnf
  imports:
    - pycosat
  requires:
    - pip
about:
  description: 'PicoSAT is a popular SAT solver written by Armin Biere in pure C.
    This

    package provides efficient Python bindings to picosat on the C level, i.e.

    when importing pycosat, the picosat solver becomes part of the Python

    process itself.

    '
  dev_url: https://github.com/conda/pycosat
  doc_source_url: https://github.com/conda/pycosat/blob/master/README.rst
  doc_url: https://pypi.org/project/pycosat/
  home: https://github.com/conda/pycosat
  license: MIT
  license_family: MIT
  license_file:
    - LICENSE
  license_url: https://github.com/conda/pycosat/blob/0.6.6/LICENSE
  summary: Bindings to picosat (a SAT solver)
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 52812800-59f8-46c9-9231-bcdc74c74bbc
  recipe-maintainers:
    - jakirkham
    - kalefranz
    - mcg1969
    - mingwandroid
    - msarahan
    - nehaljwani
    - pelson
  remote_url: git@github.com:AnacondaRecipes/pycosat-feedstock.git
  sha: dc25cc6e60242b93fedcbf494807e03cf55910f7
